%define lib_major 0
%define lib_name %mklibname lensfun %{lib_major}
%define lib_dev %mklibname lensfun -d

Name: lensfun
Version: 0.2.8
Summary: A library to rectifying the defects introduced by your photographic equipment
Release: %mkrel 1
License: GPLv3
Group: System/Libraries
URL: http://lensfun.berlios.de/
Source0: http://downloads.sourceforge.net/lensfun.berlios/%{name}-%{version}.tar.bz2
# (fc) 0.2.3-1mdv fix build on 64bits
Patch1: lensfun-0.2.3-64bits.patch
BuildRequires: glib2-devel
BuildRequires: cmake

%description
A library to rectifying the defects introduced by your photographic equipment.

%files
%_datadir/lensfun

#------------------------------------------------------------------

%package -n	%{lib_name}
Summary: A library to rectifying the defects introduced by your photographic equipment
Group: System/Libraries
Requires: %{name}

%description -n	%{lib_name}
A library to rectifying the defects introduced by your photographic equipment.

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

#------------------------------------------------------------------

%package -n	%{lib_dev}
Summary: Development tools for programs which will use the %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and .so libraries for developing %{name}.

%files -n %{lib_dev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lensfun.pc

#------------------------------------------------------------------

%prep
%setup -q 
%patch1 -p1 -b .64bits

%build
%cmake -DBUILD_TESTS=OFF \
%ifarch x86_64
	-DBUILD_FOR_SSE=ON -DBUILD_FOR_SSE2=ON \
%else
	-DBUILD_FOR_SSE=OFF -DBUILD_FOR_SSE2=OFF \
%endif

%make

%install
%makeinstall_std -C build


%changelog
* Fri Dec 20 2013 luigiwalser <luigiwalser> 0.2.8-1.mga4
+ Revision: 559249
- 0.2.8

* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-2.mga4
+ Revision: 527775
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 fwang <fwang> 0.2.7-1.mga4
+ Revision: 442308
- new version 0.2.7

* Sat Jan 12 2013 umeabot <umeabot> 0.2.6-5.mga3
+ Revision: 356750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 luigiwalser <luigiwalser> 0.2.6-4.mga3
+ Revision: 318973
- fix lensfun header file installation path

* Sat Sep 08 2012 fwang <fwang> 0.2.6-3.mga3
+ Revision: 289988
- enable sse for x86_64

* Sat Sep 08 2012 fwang <fwang> 0.2.6-2.mga3
+ Revision: 289936
- more patch

* Sat Sep 08 2012 fwang <fwang> 0.2.6-1.mga3
+ Revision: 289931
- install pkgconfig file
- fix build and lib64 installation dir
- br doxygen
- specify libdir
- disable test
- build doc
- new version 0.2.6

* Sun Dec 11 2011 fwang <fwang> 0.2.5-2.mga2
+ Revision: 180798
- fix build with libpng 1.5
- add fedora patch to fix cpu features detcting

* Mon Feb 07 2011 ahmad <ahmad> 0.2.5-1.mga1
+ Revision: 48708
- imported package lensfun


* Fri Aug 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.5-1mdv2011.0
+ Revision: 567185
- update to 0.2.5
- drop patch0, not needed any more

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-2mdv2010.1
+ Revision: 523162
- rebuilt for 2010.1

* Sun Oct 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.4-1mdv2010.0
+ Revision: 458118
- Update to 0.2.4

* Sat Jul 11 2009 Frederic Crozat <fcrozat@mandriva.com> 0.2.3-1mdv2010.0
+ Revision: 394797
- Patch1: fix build on 64bits
- Release 0.2.3
- Patch0: fix linking

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.2.2b-1mdv2009.0
+ Revision: 228769
- Added missing buildrequires
- import lensfun


